%define name knode
%define version 0.1.12
%define release 2mdk

Summary:	KNode - a newsreader for KDE
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Networking/News
URL:		http://software.freepage.de/cthurner/
Source:		%{name}-%{version}.tar.bz2
Buildroot: 	/var/tmp/%{name}-buildroot
Packager: 	Andre Steden <andre@steden.de>

%description
KNode is a newsreader for the K Desktop Enviroment. It is a pure
online-reader, that is supposed to be used with a local newsserver. I have
only tested it with leafnode, but it should work with every server that
supports the xover-command.
KNode is currently alpha quality software, although it seems to be quite
stable. At the moment it does not have to much features, but the basic
functionality is implemented and seems to work fine.
KNode is written in C++ using KDevelop, a new IDE for KDE (thanx to the whole
KDevelop-team for their excellent work).
It is published under the GNU General Public License and comes without any
warranty.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
	--with-install-root=$RPM_BUILD_ROOT  --disable-rpath
make 

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc README.Mandrake_6.1 TODO
/usr/bin/*
%dir /usr/doc/kde/HTML/en/knode
/usr/doc/kde/HTML/en/knode/*.html
/usr/doc/kde/HTML/en/knode/*.gif
%dir /usr/doc/kde/HTML/en/knode/pics
/usr/doc/kde/HTML/en/knode/pics/*
/usr/share/applnk/Internet/*
%dir /usr/share/apps/knode
%dir /usr/share/apps/knode/filters
/usr/share/apps/knode/filters/*
%dir /usr/share/apps/knode/pics
/usr/share/apps/knode/pics/*
%dir /usr/share/apps/knode/toolbar
/usr/share/apps/knode/toolbar/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.12-2mdk
- fix group
- fix files section

* Wed Jan 26 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux


